PowerPoint3ParserInternal::Frame Struct Reference

Internal: a frame of a PowerPoint3Parser. More...

## Public Member Functions

| Frame ()
| constructor

## Public Attributes

int | m_type
| the type: 0:line, 1:rect, 2: textbox, ...
int | m_formatId
| the format id
MWAWBox2i | m_dimension
| the dimension
int | m_shapeId
| the shape id: 1: oval, 2: rectOval, 3:rectangle
int | m_customShapeId
| the custom shape id
int | m_customTransformation
| the custom transformation: 1:rot90, 2:rot180, 4:flipX
int | m_polygonId
| the polygon id
int | m_pictureId
| the picture id
int | m_textId
| the textzone id
bool | m_mainTextBox
| flag to know if the textbox is a place holder
float | m_angles [2]
| the arc angles
int | m_groupChild [2]
| the group limit
MWAWGraphicStyle | m_style
| the style
bool | m_isSent
| flag to know if a frame is sent

## Detailed Description

Internal: a frame of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## Frame()

PowerPoint3ParserInternal::Frame::Frame | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_angles

float PowerPoint3ParserInternal::Frame::m_angles[2]

the arc angles

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_customShapeId

int PowerPoint3ParserInternal::Frame::m_customShapeId

the custom shape id

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_customTransformation

int PowerPoint3ParserInternal::Frame::m_customTransformation

the custom transformation: 1:rot90, 2:rot180, 4:flipX

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_dimension

MWAWBox2i PowerPoint3ParserInternal::Frame::m_dimension

the dimension

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_formatId

int PowerPoint3ParserInternal::Frame::m_formatId

the format id

Referenced by Frame().

## m_groupChild

int PowerPoint3ParserInternal::Frame::m_groupChild[2]

the group limit

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_isSent

bool PowerPoint3ParserInternal::Frame::m_isSent

mutable

flag to know if a frame is sent

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_mainTextBox

bool PowerPoint3ParserInternal::Frame::m_mainTextBox

flag to know if the textbox is a place holder

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_pictureId

int PowerPoint3ParserInternal::Frame::m_pictureId

the picture id

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_polygonId

int PowerPoint3ParserInternal::Frame::m_polygonId

the polygon id

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_shapeId

int PowerPoint3ParserInternal::Frame::m_shapeId

the shape id: 1: oval, 2: rectOval, 3:rectangle

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_style

MWAWGraphicStyle PowerPoint3ParserInternal::Frame::m_style

the style

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_textId

int PowerPoint3ParserInternal::Frame::m_textId

the textzone id

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

## m_type

int PowerPoint3ParserInternal::Frame::m_type

the type: 0:line, 1:rect, 2: textbox, ...

Referenced by Frame(), and PowerPoint3Parser::sendFrame().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx